<?php
require_once 'core/system.php';
require_once 'core/head.php';
#switch($act) {
## Обработчик
#case 'post':
if(isset($_POST['nick']) && isset($_POST['pass'])) {
$nick = check($_POST['nick']);
$pass = check($_POST['pass']);
/*
Сразу шифруем полученный пароль для сравнения со значением в базе. Если этого не сделать, пользователь не сможет авторизоваться
*/
// Проверяем длину не шифрованного пароля
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '$nick'  && `pass` = '$pass'"),0) == false)  $err = 'Логин или пароль введены неверно!';
// Сверяем полученные данные с теми что в базе
/*
Если нет ошибок, пропускаем на сайт иначе выдаем ошибку
*/
if(!isset($err)) {
$now_user = mysql_fetch_assoc(mysql_query("Select * from `user` where `nick` = '$_cookie[nick]' and `pass` = '$_cookie[pass]'"));
if (mysql_result(mysql_query("Select count(*) from `us_ban` where `usid` = '$now_user[id]' AND `type` = 'game'"),0) == true) {
$blocked = true;
}
if (!$blocked) {
setcookie('nick', $nick, time() + 84600 * 365, '/');
setcookie('pass', $pass, time() + 84600 * 365, '/');
// Ставим куки на год и пропускаем на сайт
}
header('Location: /');
if (mysql_result(mysql_query("Select count(*) from `us_ban` where `usid` = '$now_user[id]'"),0) == true) {
$_SESSION['message'] = 'Добро пожаловать в игру!';
}
exit();
}else{
header('Location: /');
$_SESSION['err'] = $err;
exit();
} 
}else{
header('Location: /');
exit();
} 
## Форма 
#default:
echo '<form method="post" action="/login">
Логин<br /><input type="text" name="nick" /><br />
Пароль<br /><input type="password" name="pass" /><br />
<input type="submit" value="Войти" />
</form>';
#} 
require_once 'core/foot.php';
?>